Socket
Date: 2016-06-24

java.net

## Class Socket

- java.lang.Object
- - java.net.Socket

-     public class Socket
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Socket()`
    `` | `Socket(InetAddress var0, int var1)`
    `` | `Socket(InetAddress var0, int var1, InetAddress var2, int var3)`
    `protected` | `Socket(SocketImpl var0)`
    `` | `Socket(String var0, int var1)`
    `` | `Socket(String var0, int var1, InetAddress var2, int var3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind(SocketAddress var0)`
    `void` | `close()`
    `void` | `connect(SocketAddress var0)`
    `void` | `connect(SocketAddress var0, int var1)`
    `InetAddress` | `getInetAddress()`
    `InputStream` | `getInputStream()`
    `boolean` | `getKeepAlive()`
    `InetAddress` | `getLocalAddress()`
    `int` | `getLocalPort()`
    `SocketAddress` | `getLocalSocketAddress()`
    `boolean` | `getOOBInline()`
    `OutputStream` | `getOutputStream()`
    `int` | `getPort()`
    `int` | `getReceiveBufferSize()`
    `SocketAddress` | `getRemoteSocketAddress()`
    `boolean` | `getReuseAddress()`
    `int` | `getSendBufferSize()`
    `int` | `getSoLinger()`
    `int` | `getSoTimeout()`
    `boolean` | `getTcpNoDelay()`
    `int` | `getTrafficClass()`
    `boolean` | `isBound()`
    `boolean` | `isClosed()`
    `boolean` | `isConnected()`
    `boolean` | `isInputShutdown()`
    `boolean` | `isOutputShutdown()`
    `void` | `sendUrgentData(int var0)`
    `void` | `setKeepAlive(boolean var0)`
    `void` | `setOOBInline(boolean var0)`
    `void` | `setReceiveBufferSize(int var0)`
    `void` | `setReuseAddress(boolean var0)`
    `void` | `setSendBufferSize(int var0)`
    `static void` | `setSocketImplFactory(SocketImplFactory var0)`
    `void` | `setSoLinger(boolean var0, int var1)`
    `void` | `setSoTimeout(int var0)`
    `void` | `setTcpNoDelay(boolean var0)`
    `void` | `setTrafficClass(int var0)`
    `void` | `shutdownInput()`
    `void` | `shutdownOutput()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Socket

          public Socket()

    - #### Socket

          public Socket(String var0,
                int var1)
                 throws IOException

      Throws:
        `IOException`

    - #### Socket

          public Socket(String var0,
                int var1,
                InetAddress var2,
                int var3)
                 throws IOException

      Throws:
        `IOException`

    - #### Socket

          public Socket(InetAddress var0,
                int var1)
                 throws IOException

      Throws:
        `IOException`

    - #### Socket

          public Socket(InetAddress var0,
                int var1,
                InetAddress var2,
                int var3)
                 throws IOException

      Throws:
        `IOException`

    - #### Socket

          protected Socket(SocketImpl var0)
                    throws SocketException

      Throws:
        `SocketException`

  - ### Method Detail

    - #### bind

          public void bind(SocketAddress var0)
                    throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

    - #### connect

          public void connect(SocketAddress var0)
                       throws IOException

      Throws:
        `IOException`

    - #### connect

          public void connect(SocketAddress var0,
                     int var1)
                       throws IOException

      Throws:
        `IOException`

    - #### getInetAddress

          public InetAddress getInetAddress()

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Throws:
        `IOException`

    - #### getKeepAlive

          public boolean getKeepAlive()
                               throws SocketException

      Throws:
        `SocketException`

    - #### getLocalAddress

          public InetAddress getLocalAddress()

    - #### getLocalPort

          public int getLocalPort()

    - #### getLocalSocketAddress

          public SocketAddress getLocalSocketAddress()

    - #### getOOBInline

          public boolean getOOBInline()
                               throws SocketException

      Throws:
        `SocketException`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Throws:
        `IOException`

    - #### getPort

          public int getPort()

    - #### getReceiveBufferSize

          public int getReceiveBufferSize()
                                   throws SocketException

      Throws:
        `SocketException`

    - #### getRemoteSocketAddress

          public SocketAddress getRemoteSocketAddress()

    - #### getReuseAddress

          public boolean getReuseAddress()
                                  throws SocketException

      Throws:
        `SocketException`

    - #### getSendBufferSize

          public int getSendBufferSize()
                                throws SocketException

      Throws:
        `SocketException`

    - #### getSoLinger

          public int getSoLinger()
                          throws SocketException

      Throws:
        `SocketException`

    - #### getSoTimeout

          public int getSoTimeout()
                           throws SocketException

      Throws:
        `SocketException`

    - #### getTcpNoDelay

          public boolean getTcpNoDelay()
                                throws SocketException

      Throws:
        `SocketException`

    - #### getTrafficClass

          public int getTrafficClass()
                              throws SocketException

      Throws:
        `SocketException`

    - #### isBound

          public boolean isBound()

    - #### isClosed

          public boolean isClosed()

    - #### isConnected

          public boolean isConnected()

    - #### isInputShutdown

          public boolean isInputShutdown()

    - #### isOutputShutdown

          public boolean isOutputShutdown()

    - #### sendUrgentData

          public void sendUrgentData(int var0)
                              throws IOException

      Throws:
        `IOException`

    - #### setKeepAlive

          public void setKeepAlive(boolean var0)
                            throws SocketException

      Throws:
        `SocketException`

    - #### setOOBInline

          public void setOOBInline(boolean var0)
                            throws SocketException

      Throws:
        `SocketException`

    - #### setReceiveBufferSize

          public void setReceiveBufferSize(int var0)
                                    throws SocketException

      Throws:
        `SocketException`

    - #### setReuseAddress

          public void setReuseAddress(boolean var0)
                               throws SocketException

      Throws:
        `SocketException`

    - #### setSendBufferSize

          public void setSendBufferSize(int var0)
                                 throws SocketException

      Throws:
        `SocketException`

    - #### setSoLinger

          public void setSoLinger(boolean var0,
                         int var1)
                           throws SocketException

      Throws:
        `SocketException`

    - #### setSoTimeout

          public void setSoTimeout(int var0)
                            throws SocketException

      Throws:
        `SocketException`

    - #### setSocketImplFactory

          public static void setSocketImplFactory(SocketImplFactory var0)
                                           throws IOException

      Throws:
        `IOException`

    - #### setTcpNoDelay

          public void setTcpNoDelay(boolean var0)
                             throws SocketException

      Throws:
        `SocketException`

    - #### setTrafficClass

          public void setTrafficClass(int var0)
                               throws SocketException

      Throws:
        `SocketException`

    - #### shutdownInput

          public void shutdownInput()
                             throws IOException

      Throws:
        `IOException`

    - #### shutdownOutput

          public void shutdownOutput()
                              throws IOException

      Throws:
        `IOException`